package domain


type AlibabaWdkItemMerchantskuCreateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

}

func (s *AlibabaWdkItemMerchantskuCreateResult) SetSuccess(v bool) *AlibabaWdkItemMerchantskuCreateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuCreateResult) SetErrorCode(v string) *AlibabaWdkItemMerchantskuCreateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuCreateResult) SetErrorDesc(v string) *AlibabaWdkItemMerchantskuCreateResult {
    s.ErrorDesc = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuCreateResult) SetCode(v string) *AlibabaWdkItemMerchantskuCreateResult {
    s.Code = &v
    return s
}
